Summary: A DNS (Domain Name System) server.
Name: bind
Version: 8.2.3
Release: C2
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-src.tar.gz
Source1: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-doc.tar.gz
Source2: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-contrib.tar.gz
Source3: named.init
Url: http://www.isc.org/bind.html
Patch0: bind-8.2.2-rh.patch
Patch1: bind-8.1.2-nonlist.patch
Patch4: bind-8.2-host.patch
Patch7: bind-8.2.2_P5-restart.patch
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig, sh-utils, /bin/cat, /bin/chmod, /usr/sbin/useradd, perl

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

%package utils
Summary: Utilities for querying DNS name servers.
Group: Applications/System

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Development/Libraries
Requires: bind

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development for 
BIND versions 8.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%prep
%setup -q -c -a 1 -a 2
%patch0 -p0 -b .rh
%patch1 -p0 -b .nonlist
%patch4 -p1 -b .host
%patch7 -p1 -b .restart
%ifarch ia64
for i in src/lib/bsd src/lib/dst src/lib/cylink src/lib/dnssafe src/lib/inet src/lib/irs src/lib/isc src/lib/nameser src/lib/resolv; do
	cat $i/Makefile |sed -e "s/^CFLAGS.*/& -fPIC/" >$i/Makefile.new
	mv -f $i/Makefile.new $i/Makefile
done
%endif
find . -name Makefile |xargs perl -pi -e "s/^INSTALL_LIB.*//g" # Fix build as user

rm -f compat/include/sys/cdefs.h

%build

# XXX hack around egcs -m486 bug (#3413, #3485)
%ifarch i386
RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's|-m486||'`"
%endif

unset RPM_OPT_FLAGS

# Work around a bind bug: SYSTYPE is always set to bsdos
find src -name Makefile | xargs -n 1 perl -pi -e "s/^SYSTYPE=.*/SYSTYPE=linux/g"
find src -name Makefile | xargs -n 1 perl -pi -e "s/^SYSTYPE =.*/SYSTYPE=linux/g"
find src -name Makefile | xargs -n 1 perl -pi -e "s/^CDEBUG=.*/CDEBUG=$RPM_OPT_FLAGS/g"
find src -name Makefile | xargs -n 1 perl -pi -e "s/^CDEBUG =.*/CDEBUG=$RPM_OPT_FLAGS/g"

make -C src
make clean all -C src SUBDIRS=../doc/man

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin}
mkdir -p ${RPM_BUILD_ROOT}/etc/named
MANBASE=`echo /usr/man | sed -e "s,/man$,,"`
mkdir -p ${RPM_BUILD_ROOT}/usr/man/{man1,man3,man5,man7,man8}
mkdir -p ${RPM_BUILD_ROOT}${MANBASE}

make DESTDIR=$RPM_BUILD_ROOT install -C src
make DESTDIR=$RPM_BUILD_ROOT INSTALL=install install -C src SUBDIRS=../doc/man
if test "$MANBASE" != "/usr"; then
	rm -rf $RPM_BUILD_ROOT/usr/man
	mv ${RPM_BUILD_ROOT}/usr/man $RPM_BUILD_ROOT$MANBASE
fi
install -c -m 755 src/bin/named-bootconf/Grot/named-bootconf.pl $RPM_BUILD_ROOT/usr/sbin/named-bootconf
install -c -m 755 %SOURCE3 $RPM_BUILD_ROOT/etc/rc.d/init.d/named
ln -s resolver.5 $RPM_BUILD_ROOT/usr/man/man5/resolv.conf.5

%pre
/usr/sbin/useradd -c "Named" -u 25 \
	-s /bin/false -r -d /etc/named named 2>/dev/null || :

%post
/sbin/chkconfig --add named
if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/sbin/named-bootconf ]; then
    cat /etc/named.boot | /usr/sbin/named-bootconf > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi

%preun
if [ $1 = 0 ]; then
   /usr/sbin/userdel named 2>/dev/null || :
   /usr/sbin/groupdel named 2>/dev/null || :
   /sbin/chkconfig --del named
   [ -f /var/lock/subsys/named ] && /sbin/service named stop >/dev/null 2>&1 || :
fi
exit 0

%postun
if [ "$1" -ge 1 ]; then
   /sbin/service named condrestart >/dev/null 2>&1 || :
fi

%triggerpostun -- bind < 8.2.2_P5-15
/sbin/chkconfig --add named

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc src/README src/INSTALL src/Version src/CHANGES 
%doc src/TODO
%doc doc/bog doc/html doc/misc doc/notes doc/rfc doc/tmac
%config /etc/rc.d/init.d/named

/usr/sbin/dnskeygen
/usr/sbin/irpd
/usr/sbin/named
/usr/sbin/named-bootconf
/usr/sbin/named-xfer
/usr/sbin/ndc

/usr/man/man1/dnskeygen.1*
/usr/man/man5/named.conf.5*
/usr/man/man7/hostname.7*
/usr/man/man8/named.8*
/usr/man/man8/ndc.8*
/usr/man/man8/named-bootconf.8*
/usr/man/man8/named-xfer.8*

%attr(-,named,named) %dir /etc/named
     
%files utils
%defattr(-,root,root)
/usr/bin/addr
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/host
/usr/bin/mkservdb
/usr/bin/nslookup
/usr/bin/nsupdate
/usr/lib/nslookup.help
/usr/man/man1/dig.1*
/usr/man/man1/dnsquery.1*
/usr/man/man1/host.1*
/usr/man/man5/irs.conf.5*
/usr/man/man5/resolver.5*
/usr/man/man5/resolv.conf.5*
/usr/man/man8/nslookup.8*
/usr/man/man8/nsupdate.8*

%files devel
%defattr(-,root,root)
/usr/lib/bind
/usr/man/man3/hesiod.3*
/usr/man/man3/inet_cidr.3*
/usr/man/man3/tsig.3*

%changelog
* Thu Feb 7 2001 Brenda Mula <brenda.mula@sun.com>
- 8.2.3-C2, changed named.init to not run as named since named user doesn't exist

* Thu Feb 1 2001 Sriranga Veeraraghvan <ranga@sun.com>
- 8.2.3-C1, fixed upto cobalt spec

* Sat Jan 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 8.2.3, fixes several security problems

